using ApiA;
using Microsoft.Extensions.DependencyInjection;
using Volo.Abp.Account;
using Volo.Abp.AutoMapper;
using Volo.Abp.FeatureManagement;
using Volo.Abp.Http.Client;
using Volo.Abp.Identity;
using Volo.Abp.Modularity;
using Volo.Abp.PermissionManagement;
using Volo.Abp.TenantManagement;

namespace ApiB
{
    [DependsOn(
        typeof(ApiBDomainModule),
        typeof(AbpAccountApplicationModule),
        typeof(ApiBApplicationContractsModule),
        typeof(AbpIdentityApplicationModule),
        typeof(AbpPermissionManagementApplicationModule),
        typeof(AbpTenantManagementApplicationModule),
        typeof(AbpFeatureManagementApplicationModule),
        typeof(AbpHttpClientModule),
        typeof(ApiAApplicationContractsModule)
        )]
    public class ApiBApplicationModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            Configure<AbpAutoMapperOptions>(options =>
            {
                options.AddMaps<ApiBApplicationModule>();
            });
            
           
            context.Services.AddHttpClientProxies(
                typeof(ApiAApplicationContractsModule).Assembly
            );
        }
    }
}
